.loading-ellipsis {
  font-size: 16px;
  width: 70px;
  text-align: left;
  display: inline-block;
}

.loading-ellipsis:after {
  overflow: hidden;
  display: inline-block;
  vertical-align: bottom;
  -webkit-animation: loading-ellipsis steps(4,end) 1200ms infinite;
  animation: loading-ellipsis steps(4,end) 1200ms infinite;
  content: "\2026"; /* ascii code for the ellipsis character */
  width: 0px;
}

@keyframes loading-ellipsis {
  to {
    width: 1.5em;
  }
}

@-webkit-keyframes loading-ellipsis {
  to {
    width: 1.5em;
  }
}
